{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Build IMG all architectures",
            "type": "shell",
            "command": "make prep_buildenv; make build",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "Build IMG amd64",
            "type": "shell",
            "command": "make prep_buildenv; make build_amd64",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "Build IMG i386",
            "type": "shell",
            "command": "make prep_buildenv; make build_amd64",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "Build IMG all architectures W DKMS",
            "type": "shell",
            "command": "make prep_buildenv; make enable_DKMS build",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "Build IMG amd64 W DKMS",
            "type": "shell",
            "command": "make prep_buildenv; make enable_DKMS build_amd64",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "Build IMG i386 W DKMS",
            "type": "shell",
            "command": "make prep_buildenv; make enable_DKMS build_amd64",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "Clean",
            "type": "shell",
            "command": "make clean",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        }
    ],
    "inputs": [
        {
          "id": "BuildVariant",
          "description": "Wich Variant shoud be build",
          "type": "promptString"
        },
        {
            "type": "pickString",
            "id": "Distro",
            "description": "Wich Distro shoud be used",
            "options": [
              "Debian",
              "Alpine",
              "OtherTesting"
            ],
            "default": "Debian"
          },
      ]
}